(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "Achievements - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav(selected=\"achievements\") }}")
(main
    ("class" "flex flex-col gap-2")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center gap-2")
            (icon (text "coffee"))
            (span (text "Welcome to {{ config.name }}!")))
        (div
            ("class" "card no_p_margin flex flex-col gap-2")
            (p (text "To help you move in, you'll be rewarded with small achievements for completing simple tasks on {{ config.name }}!"))
            (p (text "You'll find out what each achievement is when you get it, so look around!"))
            (hr)
            (span (b (text "Your progress: ")) (text "{{ percentage|round(method=\"floor\", precision=2) }}%"))
            (div ("class" "progress_bar") (div ("class" "poll_bar") ("style" "width: {{ percentage }}%")))))

    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center justify-between gap-2")
            (span
                ("class" "flex items-center gap-2")
                (icon (text "award"))
                (span (str (text "general:link.achievements")))))
        (div
            ("class" "card lowered flex flex-col gap-4")
            (text "{% for achievement in achievements %}")
            (div
                ("class" "w-full card-nest")
                (div
                    ("class" "card small flex items-center gap-2 {% if achievement[2] == 'Uncommon' -%} green {%- elif achievement[2] == 'Rare' -%} purple {%- endif %}")
                    (icon (text "award"))
                    (text "{{ achievement[0] }}"))
                (div
                    ("class" "card flex flex-col gap-2")
                    (span ("class" "no_p_margin") (text "{{ achievement[1]|markdown|safe }}"))
                    (hr)
                    (span ("class" "fade") (text "Unlocked: ") (span ("class" "date") (text "{{ achievement[3].unlocked }}")))))
            (text "{% endfor %}"))))
(text "{% endblock %}")
