(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "{{ profile.username }} (banned) - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav() }}")
(main
    ("class" "flex flex-col gap-2")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center justify-between gap-2")
            (div
                ("class" "flex items-center gap-2")
                (text "{{ components::avatar(username=profile.username, size=\"24px\") }}")
                (span
                    (text "{{ profile.username }}")))
            (b
                ("class" "notification chip")
                (text "{{ text \"auth:label.banned\" }}")))
        (div
            ("class" "card flex flex-col gap-2")
            (span
                (text "{{ text \"auth:label.banned_message\" }}"))
            (div
                ("class" "card w-full secondary flex gap-2")
                (a
                    ("href" "/")
                    ("class" "button red lowered")
                    (text "{{ icon \"x\" }}")
                    (span
                        (text "{{ text \"general:action.back\" }}")))))))

(text "{% endblock %}")
