(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "Latest questions - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav() }}")
(main
    ("class" "flex flex-col gap-2")
    (text "{{ macros::timelines_nav(selected=\"all\", posts=\"/all\", questions=\"/all/questions\", secondary_selected=\"questions\") }}")
    (div
        ("class" "card w-full flex flex-col gap-2")
        (text "{% for question in list %} {{ components::global_question(question=question, can_manage_questions=false, secondary=true) }} {% endfor %}  {{ components::pagination(page=page, items=list|length) }}")))

(text "{% endblock %}")
