(text "{%- import \"components.html\" as components -%} {%- import \"macros.html\" as macros -%}")
(text "{% for post in list %}
        {% if post[0].context.repost and post[0].context.repost.reposting -%}
            {{ components::repost(repost=post[3], post=post[0], owner=post[1], secondary=true, community=post[2], show_community=true) }}
        {% else %}
            {{ components::post(post=post[0], owner=post[1], question=post[4], secondary=true, community=post[2], poll=post[5]) }}
        {%- endif %}
    {% endfor %}")
(datalist
    ("ui_ident" "list_posts_{{ page }}")
    (text "{% for post in list -%}")
    (option ("value" "{{ post[0].id }}") ("data-created" "{{ post[0].created }}"))
    (text "{%- endfor %}"))
(text "{% if list|length == 0 -%}")
(div
    ("class" "card lowered green flex justify-between items-center gap-2")
    (div
        ("class" "flex items-center gap-2")
        (text "{{ icon \"shell\" }}")
        (span
            (str (text "general:label.timeline_end"))
            (text "<!-- observer_disconnect_{{ random_cache_breaker }} -->")))
    (text "{% if page > 0 -%}")
    (a
        ("class" "button")
        ("href" "?page=0")
        (icon (text "arrow-up"))
        (str (text "chats:label.go_back")))
    (text "{%- endif %}"))
(text "{%- endif %}")

(text "{% if paginated -%}")
(text "{{ components::pagination(page=page, items=list|length) }}")
(text "{%- endif %}")
