# Contribution Guidelines

Thank you for your consideration in contributing to Tetratto!

## Issues

When creating an issue, please follow the given templates as best you can. Before you begin creating your issue, please make sure you have checked to verify that you aren't reporting something that has already been reported! (This also applies to feature requests.)

## Merge Requests

When creating a merge request, please ensure that your code actually compiles and runs without unexpected bugs.

Merge requests can be submitted to me@trisua.com, where they will be reviewed and merged. Please include a link to your remote repository.
