(text "{% import \"components.html\" as components %} {% extends \"communities/base.html\" %} {% block content %}")
(div
    ("class" "flex flex-col gap-4 w-full")
    (text "{{ macros::community_nav(community=community, selected=\"questions\") }}")
    (text "{% if user and can_post -%}")
    (div
        ("style" "display: contents")
        (text "{{ components::create_question_form(community=community.id, is_global=true) }}"))
    (text "{%- endif %}")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex gap-2 items-center")
            (text "{{ icon \"newspaper\" }}")
            (span
                (text "{{ text \"communities:label.questions\" }}")))
        (div
            ("class" "card flex flex-col gap-4")
            (text "{% for question in feed %} {{ components::global_question(question=question, can_manage_questions=can_manage_questions, show_community=false, secondary=true) }} {% endfor %}  {{ components::pagination(page=page, items=feed|length) }}"))))

(text "{% endblock %}")
