(text "{% extends \"forge/base.html\" %} {% block content %}")
(div
    ("class" "flex flex-col gap-4 w-full")
    (text "{{ macros::forge_nav(community=community, selected=\"tickets\") }}")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center gap-2")
            (icon (text "pin"))
            (str (text "communities:label.pinned")))

        (div
            ("class" "card flex flex-col gap-2")
            (text "{% for post in pinned -%}")
            (text "{{ components::ticket(post=post[0], owner=post[1]) }}")
            (text "{%- endfor %}")))

    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center gap-2")
            (icon (text "circle-dot"))
            (str (text "forge:tab.tickets")))

        (div
            ("class" "card flex flex-col gap-2")
            (text "{% for post in feed -%}")
            (text "{{ components::ticket(post=post[0], owner=post[1]) }}")
            (text "{%- endfor %}")
            (text "{{ components::pagination(page=page, items=feed|length) }}"))))
(text "{% endblock %}")
