(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "Audit log - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav() }}")
(main
    ("class" "flex flex-col gap-2")
    (div
        ("class" "card-nest w-full")
        (div
            ("class" "card small flex items-center gap-2")
            (text "{{ icon \"scroll\" }}")
            (span
                (text "{{ text \"general:link.audit_log\" }}")))
        (div
            ("class" "card flex flex-col gap-2")
            (text "{% for item in items %}")
            (div
                ("class" "card-nest")
                (a
                    ("class" "card small flex items-center gap-2 flush")
                    ("href" "/api/v1/auth/user/find/{{ item.moderator }}")
                    (text "{{ components::avatar(username=item.moderator, selector_type=\"id\") }}")
                    (span
                        (text "{{ item.moderator }}"))
                    (span
                        ("class" "fade date")
                        (text "{{ item.created }}")))
                (div
                    ("class" "card secondary")
                    (span
                        ("class" "no_p_margin")
                        (text "{{ item.content|markdown|safe }}"))))
            (text "{% endfor %}")
            (text "{{ components::pagination(page=page, items=items|length) }}"))))

(text "{% endblock %}")
