(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "Latest posts - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav() }}")
(main
    ("class" "flex flex-col gap-2")
    (text "{{ macros::timelines_nav(selected=\"all\", posts=\"/all\", questions=\"/all/questions\") }} {% if not user -%}")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small flex items-center gap-2")
            (text "{{ icon \"heart\" }}")
            (b
                (text "{{ text \"general:label.better_with_account\" }}")))
        (div
            ("class" "card flex gap-2")
            (a
                ("href" "/auth/login")
                ("class" "button")
                (text "{{ icon \"log-in\" }}")
                (span
                    (text "{{ text \"auth:action.login\" }}")))
            (a
                ("href" "/auth/register")
                ("class" "button secondary")
                (text "{{ icon \"user-plus\" }}")
                (span
                    (text "{{ text \"auth:action.register\" }}")))))
    (text "{%- endif %}")
    (div
        ("class" "card w-full flex flex-col gap-2")
        ("ui_ident" "io_data_load")
        (div ("ui_ident" "io_data_marker"))))

(text "{% set paged = user and user.settings.paged_timelines %}")
(script
    (text "setTimeout(() => {
        trigger(\"ui::io_data_load\", [\"/_swiss_army_timeline?tl=AllPosts&before=$1$&page=\", Number.parseInt(\"{{ page }}\") - 1, \"{{ paged }}\" === \"true\"]);
    });"))

(text "{% endblock %}")
