(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "{{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav(selected=\"home\") }}")
(main
    ("class" "flex flex-col gap-2")
    (text "{{ macros::timelines_nav(selected=\"home\", posts=\"/\", questions=\"/questions\") }} {% if list|length == 0 and page == 0 -%}")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small")
            (b
                (text "✨ Welcome to ")
                (i
                    (text "{{ config.name }}"))
                (text "!")))
        (div
            ("class" "card no_p_margin")
            (p
                (text "Join some communities to populate your home timeline!"))
            (p
                (text "You can get started by ")
                (a
                    ("href" "/communities/search")
                    (text "searching for a community to join!")))))
    (div
        ("class" "card-nest")
        (div
            ("class" "card small")
            (b
                (text "Need help getting started?")))
        (div
            ("class" "card no_p_margin")
            (p
                (text "Quickly set up your account with ")
                (a ("href" "/settings#/presets") (text "settings presets"))
                (text "!"))))
    (text "{% else %}")
    (div
        ("class" "card w-full flex flex-col gap-2")
        ("ui_ident" "io_data_load")
        (div ("ui_ident" "io_data_marker")))
    (text "{%- endif %}"))

(text "{% set paged = user and user.settings.paged_timelines %}")
(script
    (text "setTimeout(() => {
        trigger(\"ui::io_data_load\", [\"/_swiss_army_timeline?tl=MyCommunities&page=\", Number.parseInt(\"{{ page }}\") - 1, \"{{ paged }}\" === \"true\"]);
    });"))

(text "{% endblock %}")
