(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "Popular - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav(selected=\"popular\") }}")
(main
    ("class" "flex flex-col gap-2")
    (text "{{ macros::timelines_nav(selected=\"popular\", posts=\"/popular\", questions=\"/popular/questions\") }}")
    (div
        ("class" "card w-full flex flex-col gap-2")
        ("ui_ident" "io_data_load")
        (div ("ui_ident" "io_data_marker"))))

(text "{% set paged = user and user.settings.paged_timelines %}")
(script
    (text "setTimeout(() => {
        trigger(\"ui::io_data_load\", [\"/_swiss_army_timeline?tl=PopularPosts&page=\", Number.parseInt(\"{{ page }}\") - 1, \"{{ paged }}\" === \"true\"]);
    });"))

(text "{% endblock %}")
